<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Customer extends MY_Controller {
	
	function __construct()
	{
		parent::__construct();

		$this->modul='customer';
		$this->title='Customer';
		
		$this->load->model('customer_mdl','mdl');
	}
	
	public function index()
	{		
		$data = array(
			'title' 	=> 	'Business Partner',
			'content' 	=> 	'customer/customer_frm',
			't'			=>	$this->session->userdata('t'),
			'u'			=>	$this->session->userdata('u'),
			'h'			=>	$this->session->userdata('h')
			);		
		$this->load('tpl',$data['content'], $data);
		$this->load->view('customer/customer_frm_cjs');
		$this->load->view('customer/customer_frm_mjs');
		
	}
	
	function grid(){
		$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 100;	
		$key = $_REQUEST["q"];
		$rs = $this->mdl->getPaging($page,$rows,$key);
		
		echo json_encode($rs);
	}
	
	function gridAll(){
		$key = $_REQUEST["q"];
		$rs = $this->mdl->getAll($key);
		
		echo json_encode($rs);
	}
	
	function gridSub(){
		$key = $_REQUEST["q"];
		$rs = $this->mdl->getSub($key);
		
		echo json_encode($rs);
	}
	
	function gridSub2(){
		$key = $_REQUEST["q"];
		$rs = $this->mdl->getSub2($key);
		
		echo json_encode($rs);
	}
	
	function gridRow($key){
		$rs = $this->mdl->getRow($key);
		
		echo json_encode($rs);
	}
	
	function gridBuyerAll(){
		$key = $_REQUEST["q"];
		$rs = $this->mdl->getBuyerAll($key);
		
		echo json_encode($rs);
	}
	
	function gridSupplierAll(){
		$key = $_REQUEST["q"];
		$rs = $this->mdl->getSupplierAll($key);
		
		echo json_encode($rs);
	}
	
	function gridSubkonAll(){
		$key = $_REQUEST["q"];
		$rs = $this->mdl->getSubkonAll($key);
		
		echo json_encode($rs);
	}
	
	function getform($cmd){
		$form_data = $this->input->post();
		$id=$form_data['id'];
		
		unset($form_data['id']);
		if ($cmd=="add"){	
			$this->add($form_data);	
		} else {
			$this->edit($form_data,$id);
		}
	}
	
	function cetak()
	{
		ini_set('memory_limit', '-1');
		
		$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 100;	
		$key = $_REQUEST["q"];
		
		$data = array(
			'title' => 	'Business Partner',
			'rs' 	=> 	$this->mdl->getPaging2($page,$rows,$key),
		);	
		
		$this->load->view('customer/print',$data);
		
	}
	
	function excel()
	{
		ini_set('memory_limit', '-1');
		
		$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 100;	
		$key = $_REQUEST["q"];
		
		$data = array(
			'title' => 	'Business Partner',
			'rs' 	=> 	$this->mdl->getPaging2($page,$rows,$key),
		);
		
		$filename ="Business Partner.xls";
		header('Content-type: application/ms-excel');
		header('Content-Disposition: attachment; filename='.$filename);
		$this->load->view('customer/print',$data);
	}
}